Debian Bug report logs - #486606
xdm:unable to login - XDM authorization key matches an existing client

version graph

Package: xdm; Maintainer for xdm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xdm is src:xdm.

Reported by: "Bernhard R. Link" <brlink@debian.org>

Date: Wed, 26 Jan 2005 18:33:01 UTC

Severity: important

Found in version xdm/1:1.1.8-1

Fixed in versions xdm/1:1.1.8-1.1, xdm/1:1.1.8-2

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=10665

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#292388; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: submit@bugs.debian.org
Subject: libx11-6: XOpenDisplay says "XDM authorization key matches an existing client!"
Date: Wed, 26 Jan 2005 19:29:31 +0100
Package: libx11-6
Version: 4.3.0.dfsg.1-10
Severity: normal

I do not know if this is a bug in xdm, xserver-xfree86, libx11-6
or even in the example program. But when I exchange the execl
in the program given below with a call to main(), this error
does not happen, so this seems to have at least something todo
with libx11-6

Hochachtungsvoll,
        Bernhard R. Link

brl@laptop:~/xtest$ xauth list
192.168.2.75:0  MIT-MAGIC-COOKIE-1  e70163149b4e564dd7ec1a22cdc33bf4
laptop/unix:0  MIT-MAGIC-COOKIE-1  e70163149b4e564dd7ec1a22cdc33bf4
192.168.2.75:0  XDM-AUTHORIZATION-1  edb4ac652e525c5100d4085ba3696f4b
laptop/unix:0  XDM-AUTHORIZATION-1  edb4ac652e525c5100d4085ba3696f4b
brl@laptop:~/xtest$ cat test.c
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <X11/Xlib.h>
Display *dpy;
int main() {
	dpy = XOpenDisplay(":0");
	if (dpy == NULL) {
		fprintf(stderr, "cannot open display :0\n");
		exit(1);
	}
	fprintf(stderr, "opened display :0\n");
	XCloseDisplay(dpy);
	execl("./test","./test", NULL);
	exit(0);
}
brl@laptop:~/xtest$ make
gcc -g -O0 -Wall -L/usr/X11R6/lib -lX11 test.c -o test
brl@laptop:~/xtest$ ./test 
opened display :0
Xlib: connection to ":0.0" refused by server
Xlib: XDM authorization key matches an existing client!
cannot open display :0
brl@laptop:~/xtest$ echo $?
1

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.7-1-686
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages libx11-6 depends on:
ii  debconf [debconf-2.0]    1.4.42          Debian configuration management sy
ii  libc6                    2.3.2.ds1-20    GNU C Library: Shared libraries an
ii  xfree86-common           4.3.0.dfsg.1-10 X Window System (XFree86) infrastr
ii  xlibs-data               4.3.0.dfsg.1-10 X Window System client data

-- debconf information:
  libx11-6/migrate_xkb_dir: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#292388; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 292388@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: 292388@bugs.debian.org
Subject: cause of this
Date: Thu, 27 Jan 2005 19:01:12 +0100
This "bug" seems to be caused by the following code
in xfree86-4.3.0.dfsg.1/xc/lib/X11/ConnDis:1062
-------------------------------------------------
/*
* We don't use the sockaddr_un for this encoding.
* Instead, we create a sockaddr_in filled with
* a decreasing counter for the address, and the
* pid for the port.
*/

static unsigned long    unix_addr = 0xFFFFFFFF;
unsigned long       the_addr;
unsigned short      the_port;

_XLockMutex(_Xglobal_lock);
the_addr = unix_addr--;
_XUnlockMutex(_Xglobal_lock);
the_port = getpid ();
-------------------------------------------------

Is this a bug in libX11, a bug in Xserver for insisting
uniqueness with such addresses, or shall I report
a bug against 9menu, which execs other programs
without forking?

Hochachtungsvoll,
        Bernhard R. Link



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#292388; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to 292388@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 292388@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: "Bernhard R. Link" <brlink@debian.org>
Cc: 292388@bugs.debian.org
Subject: Bug#292388: libx11-6: XOpenDisplay says "XDM authorization key matches an existing client!"
Date: Mon, 12 Feb 2007 20:22:06 +0100
Hi BernhardHi,

About 2 years ago, you reported a bug to the Debian BTS regarding
XOpenDisplay failing because the XDM auth key matched an existing
client. I tried to reproduce with your testcase, but I couldn't. The
relevant source code did not change a lot, but did changed a little bit.
Did you reproduce this problem recently? If not, I will close this bug
in the next weeks.

Thanks,
Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#292388; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 292388@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: 292388@bugs.debian.org
Subject: Re: XOpenDisplay says "XDM authorization key matches an existing client!"
Date: Tue, 13 Feb 2007 11:36:59 +0100
* Brice Goglin <Brice.Goglin@ens-lyon.org> [070212 20:58]:
> About 2 years ago, you reported a bug to the Debian BTS regarding
> XOpenDisplay failing because the XDM auth key matched an existing
> client. I tried to reproduce with your testcase, but I couldn't. The
> relevant source code did not change a lot, but did changed a little bit.
> Did you reproduce this problem recently? If not, I will close this bug
> in the next weeks.

I just tried and could reproduce it on an etch machine.

Perhaps this bug should be reassigned to the xserver code responsible
for it (Have not looked yet since the split, so I do not know where it
ended up in).

Hochachtungsvoll,
	Bernhard R. Link

The bug can be worked around quite well by adding

DisplayManager*authName:        MIT-MAGIC-COOKIE-1

to /etc/X11/xdm/xdm-config, so that no XDM-AUTHORIZATION-1 keys are
generated. I do not even know if there are other dms but xdm that
use XDM-AUTHORIZATION-1 cookies at all.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#292388; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 292388@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: "Bernhard R. Link" <brlink@debian.org>, 292388@bugs.debian.org
Subject: Re: Bug#292388: XOpenDisplay says "XDM authorization key matches an existing client!"
Date: Tue, 13 Feb 2007 19:28:54 +0100
Bernhard R. Link wrote:
> * Brice Goglin <Brice.Goglin@ens-lyon.org> [070212 20:58]:
>   
>> About 2 years ago, you reported a bug to the Debian BTS regarding
>> XOpenDisplay failing because the XDM auth key matched an existing
>> client. I tried to reproduce with your testcase, but I couldn't. The
>> relevant source code did not change a lot, but did changed a little bit.
>> Did you reproduce this problem recently? If not, I will close this bug
>> in the next weeks.
>>     
>
> I just tried and could reproduce it on an etch machine.
>   

Could you please describe what I exactly need to do to reproduce?

Thanks,
Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#292388; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 292388@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 292388@bugs.debian.org
Subject: Re: Bug#292388: XOpenDisplay says "XDM authorization key matches an existing client!"
Date: Wed, 14 Feb 2007 16:35:26 +0100
* Brice Goglin <Brice.Goglin@ens-lyon.org> [070214 01:03]:
> >> About 2 years ago, you reported a bug to the Debian BTS regarding
> >> XOpenDisplay failing because the XDM auth key matched an existing
> >> client. I tried to reproduce with your testcase, but I couldn't. The
> >> relevant source code did not change a lot, but did changed a little bit.
> >> Did you reproduce this problem recently? If not, I will close this bug
> >> in the next weeks.
> >>     
> >
> > I just tried and could reproduce it on an etch machine.
> >   
> 
> Could you please describe what I exactly need to do to reproduce?

I'm assuming you just need to run the program in the example (which
only works when your display is :0 and the compiled program is called
./test, but that is easy to change), when there is a
XDM-AUTHORIZATION-1 cookie for it in your .Xauthority file (loggin in
with xdm should suffice, unless xdm-config now contains authName by
default, but AFAIK it does not). There is a bit of timing involved, so
a local X server would be best, but as the example tries until it fails,
it should be visible nevertheless. I don't know if it took longer
on slower computers I no longer have available, but on current ones it
always triggers for me after the first exec.

Hochachtungsvoll,
	Bernhard R. Link



Noted your statement that Bug has been forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=10665. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Tue, 17 Apr 2007 21:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#292388; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 292388@bugs.debian.org (full text, mbox):

From: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
To: 292388@bugs.debian.org, 440874@bugs.debian.org
Subject: Re: XDM-AUTHORIZATION-1 trouble
Date: Mon, 11 Feb 2008 00:28:03 +0100
[Message part 1 (text/plain, inline)]
Hi Brice, hi Joey,

(simultaneously replying to both bugs because the problem in
the underlying C libraries seems to be identical)

I can provide a short bug summary, maybe it's helpful.

For PF_UNIX connections with an XDM-AUTHORIZATION-1 key, the
client (libx11/libxcb) constructs its 24-byte auth message (which the
server expects to be unique) from the following dynamic parts:
* the time (second granularity)
* the caller's pid
* a nonce

This nonce is generated in libxcb-1.1:src/xcb_auth.c:next_nonce()
by decrementing a function-local persistent (static) counter
variable (the code did not change much compared to the non-xcb
fragment that Bernhard posted to #292388 in 2005):

] static int next_nonce(void)
] {
]     static int nonce = 0;
]     static pthread_mutex_t nonce_mutex = PTHREAD_MUTEX_INITIALIZER;
]     int ret;
]     pthread_mutex_lock(&nonce_mutex);
]     ret = nonce++;
]     pthread_mutex_unlock(&nonce_mutex);
]     return ret;
] }

Thus any unloading of the library will reset the nonce, and doing so
without changing the pid will trigger the bug. One possibility is
execve(), as Bernhard has demonstrated - SDL seems to employ the
other one (un- and reloading libxcb without exec()ing)... on my box,
enigma (among several other SDL games, e.g. kobodeluxe - but let's
stick to enigma for this example) reliably activates the bug:

] jcn@hejre:~$ /usr/games/enigma 
] XDM authorization key matches an existing client!Couldn't initialize SDL: Couldn't open X11 display
] jcn@hejre:~$ ldd /usr/games/enigma | grep lib[SXx]
]         libSDL-1.2.so.0 => /usr/lib/libSDL-1.2.so.0 (0xb7e64000)
]         libSDL_image-1.2.so.0 => /usr/lib/libSDL_image-1.2.so.0 (0xb7e49000)
]         libSDL_mixer-1.2.so.0 => /usr/lib/libSDL_mixer-1.2.so.0 (0xb7de6000)
]         libSDL_ttf-2.0.so.0 => /usr/lib/libSDL_ttf-2.0.so.0 (0xb7de1000)
]         libxerces-c.so.27 => /usr/lib/libxerces-c.so.27 (0xb79f5000)
] jcn@hejre:~$ strace -eopen,socket,connect /usr/games/enigma 
] open("/etc/ld.so.cache", O_RDONLY)      = 4
] open("/usr/lib/libz.so.1", O_RDONLY)    = 4
] open("/usr/lib/libzipios.so.0", O_RDONLY) = 4
] open("/usr/lib/libSDL-1.2.so.0", O_RDONLY) = 4
] open("/usr/lib/libSDL_image-1.2.so.0", O_RDONLY) = 4
] open("/usr/lib/libSDL_mixer-1.2.so.0", O_RDONLY) = 4
] open("/usr/lib/libSDL_ttf-2.0.so.0", O_RDONLY) = 4
] open("/usr/lib/libxerces-c.so.27", O_RDONLY) = 4
] open("/usr/lib/libpng12.so.0", O_RDONLY) = 4
] open("/lib/libdl.so.2", O_RDONLY)       = 4
] open("/usr/lib/libstdc++.so.6", O_RDONLY) = 4
] open("/lib/libm.so.6", O_RDONLY)        = 4
] open("/lib/libgcc_s.so.1", O_RDONLY)    = 4
] open("/lib/libc.so.6", O_RDONLY)        = 4
] open("/lib/libpthread.so.0", O_RDONLY)  = 4
] open("/usr/lib/libasound.so.2", O_RDONLY) = 4
] open("/usr/lib/libdirectfb-1.0.so.0", O_RDONLY) = 4
] open("/usr/lib/libfusion-1.0.so.0", O_RDONLY) = 4
] open("/usr/lib/libdirect-1.0.so.0", O_RDONLY) = 4
] open("/usr/lib/libvga.so.1", O_RDONLY)  = 4
] open("/usr/lib/libjpeg.so.62", O_RDONLY) = 4
] open("/usr/lib/libtiff.so.4", O_RDONLY) = 4
] open("/usr/lib/libmikmod.so.2", O_RDONLY) = 4
] open("/usr/lib/libfreetype.so.6", O_RDONLY) = 4
] open("/usr/lib/libicuuc.so.38", O_RDONLY) = 4
] open("/usr/lib/libicudata.so.38", O_RDONLY) = 4
] open("/usr/share/games/enigma/compat.lua", O_RDONLY) = 4
] open("/usr/share/games/enigma/startup.lua", O_RDONLY) = 4
] open("/usr/share/games/enigma/enigma_conf.lua", O_RDONLY) = 4
] open("/usr/share/games/enigma/enigma_conf.lua2", O_RDONLY) = -1 ENOENT (No such file or directory)
] open("/home/jcn/.enigmarc", O_RDONLY)   = 4
] open("/home/jcn/.enigmarc2", O_RDONLY)  = 4
] open("/home/jcn/.enigmarc.xml", O_RDONLY) = 4
] open("/usr/share/games/enigma/schemas/preferences.xsd", O_RDONLY) = 5
] open("/usr/share/games/enigma/schemas/enigmarc.xml", O_RDONLY) = 4
] open("/usr/share/games/enigma/schemas/preferences.xsd", O_RDONLY) = 5
] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4

enigma opens an X connection for the first time, pulling the Xlibs in...

] open("/etc/ld.so.cache", O_RDONLY)      = 4
] open("/usr/lib/libX11.so.6", O_RDONLY)  = 4
] open("/usr/lib/libxcb-xlib.so.0", O_RDONLY) = 4
] open("/usr/lib/libxcb.so.1", O_RDONLY)  = 4
] open("/usr/lib/libXau.so.6", O_RDONLY)  = 4
] open("/usr/lib/libXdmcp.so.6", O_RDONLY) = 4
] open("/etc/ld.so.cache", O_RDONLY)      = 4
] open("/usr/lib/libXext.so.6", O_RDONLY) = 4
] open("/etc/ld.so.cache", O_RDONLY)      = 4
] open("/usr/lib/libXrender.so.1", O_RDONLY) = 4
] open("/etc/ld.so.cache", O_RDONLY)      = 4
] open("/usr/lib/libXrandr.so.2", O_RDONLY) = 4
] open("/usr/share/locale/locale.alias", O_RDONLY) = 4
] open("/usr/share/locale/en_IE@euro/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
] open("/usr/share/locale/en@euro/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
] open("/usr/share/locale/en_IE/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
] open("/usr/share/locale/en/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
] socket(PF_FILE, SOCK_STREAM, 0)         = 4
] connect(4, {sa_family=AF_FILE, path="/tmp/.X11-unix/X0"}, 110) = 0
] open("/home/jcn/.Xauthority", O_RDONLY) = 5

And immediately after that, all X libraries are loaded again...

] open("/etc/ld.so.cache", O_RDONLY)      = 4
] open("/usr/lib/libX11.so.6", O_RDONLY)  = 4
] open("/usr/lib/libxcb-xlib.so.0", O_RDONLY) = 4
] open("/usr/lib/libxcb.so.1", O_RDONLY)  = 4
] open("/usr/lib/libXau.so.6", O_RDONLY)  = 4
] open("/usr/lib/libXdmcp.so.6", O_RDONLY) = 4
] open("/etc/ld.so.cache", O_RDONLY)      = 4
] open("/usr/lib/libXext.so.6", O_RDONLY) = 4
] open("/etc/ld.so.cache", O_RDONLY)      = 4
] open("/usr/lib/libXrender.so.1", O_RDONLY) = 4
] open("/etc/ld.so.cache", O_RDONLY)      = 4
] open("/usr/lib/libXrandr.so.2", O_RDONLY) = 4
] socket(PF_FILE, SOCK_STREAM, 0)         = 4
] connect(4, {sa_family=AF_FILE, path="/tmp/.X11-unix/X0"}, 110) = 0
] open("/home/jcn/.Xauthority", O_RDONLY) = 5
] XDM authorization key matches an existing client!Couldn't initialize SDL: Couldn't open X11 display
] Process 28648 detached

I assume that python-pygame is doing something similar. I'm neither
python nor SDL expert, so I'm afraid I can't help any further.

Brice, has there been any upstream comment on this? I know that
bug for ages, but could never find much information about it, so
I assumed my box to be a corner case.


Regards,

Jan
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#292388; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 292388@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>, 292388@bugs.debian.org, 440874@bugs.debian.org
Subject: Re: Bug#292388: XDM-AUTHORIZATION-1 trouble
Date: Tue, 12 Feb 2008 22:06:18 +0100
* Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de> [080211 00:43]:
> Brice, has there been any upstream comment on this? I know that
> bug for ages, but could never find much information about it, so
> I assumed my box to be a corner case.

Are you using xdm? If yes, then that might be the corner case. AFAIK
other DMs are not setting a XDM-AUTHORIZATION-COOKIE[1], so noone sees
this problem[2].

I personally tend to think it is a bug in the Xserver. if it gets a new
connection with the same data, it should first look if the previous
connection has finished. I guess it's just a race condition that it
first tries the new connect before realizing the old is gone.

Hochachtungsvoll,
  Bernhard R. Link

[1] You can also tell xdm to not set it by adding a
DisplayManager*authName:        MIT-MAGIC-COOKIE-1
to /etc/X11/xdm/xdm-config

Perhaps that would be an sensible default for xdm? I don't think
using those cookies gives anysecurity benefit.

[2] Only people using xdm and only when using specifiy programs.
firefox had it relatively often for some time, but that changed, too.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#292388; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 292388@bugs.debian.org (full text, mbox):

From: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
To: "Bernhard R. Link" <brlink@debian.org>
Cc: 292388@bugs.debian.org, 440874@bugs.debian.org
Subject: Re: Bug#292388: XDM-AUTHORIZATION-1 trouble
Date: Tue, 12 Feb 2008 23:07:02 +0100
[Message part 1 (text/plain, inline)]
Hi,

> Are you using xdm? If yes, then that might be the corner case. AFAIK
> other DMs are not setting a XDM-AUTHORIZATION-COOKIE[1], so noone sees
> this problem[2].

yes, I know that only xdm users are affected. On the other hand I
couldn't believe that its userbase should be so small, especially in the
old days when gnome and kde weren't that shiny... I don't know since
how many years I'm experiencing this bug, but it's been quite some time.

> I personally tend to think it is a bug in the Xserver. if it gets a new
> connection with the same data, it should first look if the previous
> connection has finished. I guess it's just a race condition that it
> first tries the new connect before realizing the old is gone.

I haven't looked at that part of the server yet. That would be an
elegant solution, although the static-variable-in-solib thing leaves
a bad taste as well... I'd really appreciate some input from upstream,
but the bugreport at freedesktop.org is empty since Brice created it.

> [1] You can also tell xdm to not set it by adding a
> DisplayManager*authName:        MIT-MAGIC-COOKIE-1
> to /etc/X11/xdm/xdm-config
> 
> Perhaps that would be an sensible default for xdm? I don't think
> using those cookies gives anysecurity benefit.

Hm, if we want to go that way, we could even start shipping xdm with
XDM-AUTH disabled at compile-time - there's a switch for it.

> [2] Only people using xdm and only when using specifiy programs.
> firefox had it relatively often for some time, but that changed, too.

Most SDL programs seem to be affected presently - but that may also be
due to some recent change in the way SDL handles X11.


Regards,

Jan
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, spamthis@freenet.de, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#292388; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Dirk Griesbach <spamthis@freenet.de>:
Extra info received and forwarded to list. Copy sent to spamthis@freenet.de, Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 292388@bugs.debian.org (full text, mbox):

From: Dirk Griesbach <spamthis@freenet.de>
To: Debian Bug Tracking System <292388@bugs.debian.org>
Subject: Re: Bug#292388: XDM-AUTHORIZATION-1 trouble
Date: Tue, 10 Jun 2008 10:39:37 +0200
Package: libx11-6
Version: 2:1.1.4-2
Followup-For: Bug #292388

Hello,

Since todays update of

,----
| libx11-6 2:1.0.3-7 -> 2:1.1.4-2
| libx11-data 2:1.0.3-7 -> 2:1.1.4-2
`----

I get this

,----[ .xsession-errors ]-
| Xsession: X session started for user at Di 10. Jun 09:54:40 CEST 2008
| XDM authorization key matches an existing client!
| (x-session-manager:3924): Gtk-WARNING **: cannot open display: :0
`----

too if xdm wants to start Xfce4.

With kind regards

Dirk
-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libx11-6 depends on:
ii  libc6                         2.7-12     GNU C Library: Shared libraries
ii  libx11-data                   2:1.1.4-2  X11 client-side library
ii  libxcb-xlib0                  1.1-1.1    X C Binding, Xlib/XCB interface li
ii  libxcb1                       1.1-1.1    X C Binding

libx11-6 recommends no packages.

-- no debconf information





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#292388; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 292388@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 292388@bugs.debian.org
Subject: started seeing this bug today
Date: Mon, 16 Jun 2008 15:13:14 -0400
[Message part 1 (text/plain, inline)]
I've been using xdm and qemu for ages w/o problems, but today I began
seeing this bug when using qemu.

joey@kodama:~>qemu -boot a -fda boot_70.img -fdb root.img
XDM authorization key matches an existing client!Could not initialize SDL - exiting

ii  libx11-6       2:1.1.4-2      X11 client-side library
ii  qemu           0.9.1-5        fast processor emulator
ii  xdm            1:1.1.8-1      X display manager

I upgraded libx11-6 from version 2:1.0.3-7 on 2006-06-12, and this is
probably the first time I've tried to start qemu since then. (Also rebooted
recently if it matters.)

I see this in Xorg.0.log:

AUDIT: Mon Jun 16 15:11:08 2008: 9234 X: client 17 rejected from local host (uid 1000)
  Auth name: XDM-AUTHORIZATION-1 ID: -1


Since this bug has been open for ages and seems tricky to fix, and there's a
simple workaround in the xdm configuration, is there any reason to not apply
the workaround in the default config?

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#292388; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 292388@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 292388@bugs.debian.org
Cc: control@bugs.debian.org
Subject: unable to login via xdm - XDM authorization key matches an existing client
Date: Tue, 17 Jun 2008 09:43:34 +0200 (CEST)
severity 292388 important
clone 292388 -1 
reassign -1 xdm
found -1 1:1.1.8-1
retitle -1 xdm:unable to login - XDM authorization key matches an existing client
thanks

I have got the same problem with xdm, directly
after upgrade of libx11-6 from 1.0.3 to 1.1.4
(it is on GNU/kFreeBSD, but it shouldn't matter).

The workaround/fix to add

DisplayManager*authName:        MIT-MAGIC-COOKIE-1

into to /etc/X11/xdm/xdm-config works for me.

Petr




Severity set to `important' from `normal' Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 17 Jun 2008 07:51:37 GMT) Full text and rfc822 format available.

Bug 292388 cloned as bug 486606. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 17 Jun 2008 07:51:37 GMT) Full text and rfc822 format available.

Bug reassigned from package `libx11-6' to `xdm'. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 17 Jun 2008 07:51:39 GMT) Full text and rfc822 format available.

Bug marked as found in version 1:1.1.8-1. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 17 Jun 2008 07:51:40 GMT) Full text and rfc822 format available.

Changed Bug title to `xdm:unable to login - XDM authorization key matches an existing client' from `libx11-6: XOpenDisplay says "XDM authorization key matches an existing client!"'. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 17 Jun 2008 07:51:41 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#486606; Package xdm. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #77 received at 486606@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: control@bugs.debian.org
Cc: 382037@bugs.debian.org, 486606@bugs.debian.org
Subject: setting package to xdm, tagging 382037, tagging 486606
Date: Tue, 24 Jun 2008 13:47:57 +0200
# Automatically generated email from bts, devscripts version 2.10.30
# via tagpending 
#
# xdm (1:1.1.8-2) UNRELEASED; urgency=low
#
#  * Disable xdm-auth to work around an Xlib bug (closes: #486606).
#  * New patch 07_openlog.diff: call openlog() in the greeter to set the
#    service name/pid and get proper logging from pam (closes: #382037).
#

package xdm
tags 382037 + pending
tags 486606 + pending





Tags added: pending Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 24 Jun 2008 11:51:05 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Bernhard R. Link" <brlink@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #84 received at 486606-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 486606-close@bugs.debian.org
Subject: Bug#486606: fixed in xdm 1:1.1.8-1.1
Date: Sun, 29 Jun 2008 12:47:17 +0000
Source: xdm
Source-Version: 1:1.1.8-1.1

We believe that the bug you reported is fixed in the latest version of
xdm, which is due to be installed in the Debian FTP archive:

xdm_1.1.8-1.1.diff.gz
  to pool/main/x/xdm/xdm_1.1.8-1.1.diff.gz
xdm_1.1.8-1.1.dsc
  to pool/main/x/xdm/xdm_1.1.8-1.1.dsc
xdm_1.1.8-1.1_i386.deb
  to pool/main/x/xdm/xdm_1.1.8-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 486606@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated xdm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Jun 2008 12:23:37 +0000
Source: xdm
Binary: xdm
Architecture: source i386
Version: 1:1.1.8-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Description: 
 xdm        - X display manager
Closes: 486606
Changes: 
 xdm (1:1.1.8-1.1) unstable; urgency=low
 .
   * Non-maintainer upload
   * Disable XDM-AUTHORIZATION in favour of MIT-MAGIC-COOKIE (closes: #486606)
Checksums-Sha1: 
 1f0ed6176894abb3f45ed0aa1b5c6af525b4c8eb 1369 xdm_1.1.8-1.1.dsc
 ef2f631ba2545b0af5dec60fe33a09ab4c436a74 102946 xdm_1.1.8-1.1.diff.gz
 304858d626030b6384b85f61315bf27538a07197 189824 xdm_1.1.8-1.1_i386.deb
Checksums-Sha256: 
 4fce33e696beb3fd6751c6b3009a8ea245e59d094dcd9168bfaaf7b37b87acab 1369 xdm_1.1.8-1.1.dsc
 ec44c04ba593f4e6a523e96e0059daee2f074803450ebf926f56c8435d17d9a1 102946 xdm_1.1.8-1.1.diff.gz
 af2c72eb133b927ee0e137aead2e292e1b9d32c1914d869021ef13ccca378197 189824 xdm_1.1.8-1.1_i386.deb
Files: 
 6ade3a112679cb58ba0454d5eb099602 1369 x11 optional xdm_1.1.8-1.1.dsc
 d9f50bec0463ef8602593e561ca16347 102946 x11 optional xdm_1.1.8-1.1.diff.gz
 e5e2bf954aaa6e08f69579f585c89ebe 189824 x11 optional xdm_1.1.8-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIZ4Ia79ZNCRIGYgcRAjsaAKC9rhQhdL1d/7Kd2nY9bHGH8xF8qwCg2Ko4
tk8cdCak16tX2dG5BnjhX+0=
=pDQ8
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#486606; Package xdm. Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #89 received at 486606@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 486606@bugs.debian.org
Subject: Re: xdm:unable to login - XDM authorization key matches an existing client
Date: Sun, 29 Jun 2008 14:15:23 +0100
[Message part 1 (text/plain, inline)]
In the interim, I made an NMU with the following trivial change.

Ben.

diff -u xdm-1.1.8/debian/changelog xdm-1.1.8/debian/changelog
--- xdm-1.1.8/debian/changelog
+++ xdm-1.1.8/debian/changelog
@@ -1,3 +1,10 @@
+xdm (1:1.1.8-1.1) unstable; urgency=low
+
+  * Non-maintainer upload
+  * Disable XDM-AUTHORIZATION in favour of MIT-MAGIC-COOKIE (closes: #486606)
+
+ -- Ben Hutchings <ben@decadent.org.uk>  Sun, 29 Jun 2008 12:23:37 +0000
+
 xdm (1:1.1.8-1) unstable; urgency=low
 
   * Drop lintian overrides, they're unused anyway.
diff -u xdm-1.1.8/debian/rules xdm-1.1.8/debian/rules
--- xdm-1.1.8/debian/rules
+++ xdm-1.1.8/debian/rules
@@ -16,7 +16,7 @@
 confflags += --with-pam \
 	--with-xdmconfigdir=/etc/X11/xdm \
 	--with-xdmscriptdir=\$${xdmconfigdir} \
-	--with-xdmauthdir=/var/lib/xdm \
+	--disable-xdm-auth \
 	--with-default-vt=vt7 \
 	--with-pixmapdir=/usr/share/X11/xdm/pixmaps \
 	--with-color-pixmap=debian.xpm \
--- END ---

-- 
Ben Hutchings
Man invented language to satisfy his deep need to complain. - Lily Tomlin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#486606; Package xdm. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #94 received at 486606@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Ben Hutchings <ben@decadent.org.uk>, 486606@bugs.debian.org
Subject: Re: Bug#486606: xdm:unable to login - XDM authorization key matches an existing client
Date: Sun, 29 Jun 2008 16:11:04 +0200
Ben Hutchings wrote:
> In the interim, I made an NMU with the following trivial change.
>   

Did you read the bug log before doing so? Julien committed a fix for
this bug and another one and marked them as pending 5 days ago.

Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#486606; Package xdm. Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #99 received at 486606@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 486606@bugs.debian.org
Subject: Re: Bug#486606: xdm:unable to login - XDM authorization key matches an existing client
Date: Sun, 29 Jun 2008 15:41:08 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jun 29, 2008 at 04:11:04PM +0200, Brice Goglin wrote:
> Ben Hutchings wrote:
> > In the interim, I made an NMU with the following trivial change.
> >   
> 
> Did you read the bug log before doing so? Julien committed a fix for
> this bug and another one and marked them as pending 5 days ago.

Sorry, I somehow missed the last message until after I uploaded.  However
I don't see that my upload does any harm (nor do I see any reason why
you or Julien could not upload already).

Ben.

-- 
Ben Hutchings
Man invented language to satisfy his deep need to complain. - Lily Tomlin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#486606; Package xdm. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #104 received at 486606@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>, 486606@bugs.debian.org
Cc: Brice Goglin <Brice.Goglin@ens-lyon.org>
Subject: Re: Bug#486606: xdm:unable to login - XDM authorization key matches an existing client
Date: Sun, 29 Jun 2008 18:24:18 +0200
On Sun, Jun 29, 2008 at 15:41:08 +0100, Ben Hutchings wrote:

> On Sun, Jun 29, 2008 at 04:11:04PM +0200, Brice Goglin wrote:
> > Ben Hutchings wrote:
> > > In the interim, I made an NMU with the following trivial change.
> > >   
> > 
> > Did you read the bug log before doing so? Julien committed a fix for
> > this bug and another one and marked them as pending 5 days ago.
> 
> Sorry, I somehow missed the last message until after I uploaded.  However
> I don't see that my upload does any harm (nor do I see any reason why
> you or Julien could not upload already).
> 
It causes extra work, so if you could in the future avoid 0-day NMUs on
maintained packages that would be appreciated.  At least for non-RC bugs
with maintainer activity...

Cheers,
Julien




Blocking bugs of 292388 added: 486606 Request was from Ben Hutchings <womble@decadent.org.uk> to control@bugs.debian.org. (Sun, 29 Jun 2008 16:45:05 GMT) Full text and rfc822 format available.

Blocking bugs of 486475 added: 486606 Request was from Ben Hutchings <womble@decadent.org.uk> to control@bugs.debian.org. (Sun, 29 Jun 2008 16:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#486606; Package xdm. Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #113 received at 486606@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Julien Cristau <jcristau@debian.org>
Cc: 486606@bugs.debian.org, Brice Goglin <Brice.Goglin@ens-lyon.org>
Subject: Re: Bug#486606: xdm:unable to login - XDM authorization key matches an existing client
Date: Sun, 29 Jun 2008 17:45:03 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jun 29, 2008 at 06:24:18PM +0200, Julien Cristau wrote:
> On Sun, Jun 29, 2008 at 15:41:08 +0100, Ben Hutchings wrote:
> 
> > On Sun, Jun 29, 2008 at 04:11:04PM +0200, Brice Goglin wrote:
> > > Ben Hutchings wrote:
> > > > In the interim, I made an NMU with the following trivial change.
> > > >   
> > > 
> > > Did you read the bug log before doing so? Julien committed a fix for
> > > this bug and another one and marked them as pending 5 days ago.
> > 
> > Sorry, I somehow missed the last message until after I uploaded.  However
> > I don't see that my upload does any harm (nor do I see any reason why
> > you or Julien could not upload already).
> > 
> It causes extra work, so if you could in the future avoid 0-day NMUs on
> maintained packages that would be appreciated.  At least for non-RC bugs
> with maintainer activity...

I found this bug as a blocker of #486475, which is RC.  I'm not sure why
it wasn't marked as such or prioritised accordingly.  I've noted the
blocking now.

Ben.

-- 
Ben Hutchings
Man invented language to satisfy his deep need to complain. - Lily Tomlin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#486606; Package xdm. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #118 received at 486606@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>, 486606@bugs.debian.org
Cc: Brice Goglin <Brice.Goglin@ens-lyon.org>
Subject: Re: Bug#486606: xdm:unable to login - XDM authorization key matches an existing client
Date: Sun, 29 Jun 2008 19:13:25 +0200
On Sun, Jun 29, 2008 at 17:45:03 +0100, Ben Hutchings wrote:

> I found this bug as a blocker of #486475, which is RC.  I'm not sure why
> it wasn't marked as such or prioritised accordingly.  I've noted the
> blocking now.
> 
It's a bit too late now, isn't it...  Anyway, consider using the delayed
queue and trying to contact the maintainer before NMUing next time.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#486606; Package xdm. Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #123 received at 486606@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 486606@bugs.debian.org
Subject: Bug not fixed
Date: Thu, 10 Jul 2008 00:31:24 +0800
I still get

  Auth name: XDM-AUTHORIZATION-1 ID: -1
AUDIT: Thu Jul 10 00:07:44 2008: 15312 X: client 2 rejected from local host (uid 1000)

with

xdm:
  Installed: 1:1.1.8-1.1

even after adding the workaround to xdm-config.

I cannot use xdm.

This has a major impact on me.

I am now using emacs -nw.

I can use xdm if I login as a different user. But that means I have to
move all my stuff to a new account.

This is crazy.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#486606; Package xdm. Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #128 received at 486606@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 486606@bugs.debian.org
Subject: need DisplayManager*authorize: false
Date: Thu, 10 Jul 2008 01:13:24 +0800
I have worked around the bug (which is still present) with
DisplayManager*authorize: false
in /etc/X11/xdm/xdm-config.




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Bernhard R. Link" <brlink@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #133 received at 486606-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 486606-close@bugs.debian.org
Subject: Bug#486606: fixed in xdm 1:1.1.8-2
Date: Thu, 17 Jul 2008 17:32:15 +0000
Source: xdm
Source-Version: 1:1.1.8-2

We believe that the bug you reported is fixed in the latest version of
xdm, which is due to be installed in the Debian FTP archive:

xdm_1.1.8-2.diff.gz
  to pool/main/x/xdm/xdm_1.1.8-2.diff.gz
xdm_1.1.8-2.dsc
  to pool/main/x/xdm/xdm_1.1.8-2.dsc
xdm_1.1.8-2_i386.deb
  to pool/main/x/xdm/xdm_1.1.8-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 486606@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xdm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 17 Jul 2008 19:06:41 +0200
Source: xdm
Binary: xdm
Architecture: source i386
Version: 1:1.1.8-2
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xdm        - X display manager
Closes: 382037 486606
Changes: 
 xdm (1:1.1.8-2) unstable; urgency=low
 .
   * Disable xdm-auth to work around an Xlib bug (closes: #486606).  Add a NEWS
     entry warning people about XDM-AUTHORIZATION-1 cookies no longer working,
     thanks to Bernhard R. Link.
   * New patch 07_openlog.diff: call openlog() in the greeter to set the
     service name/pid and get proper logging from pam (closes: #382037).
Checksums-Sha1: 
 8754db8c0de298a37e5e2fb0c4fa01e6abdfd8db 1369 xdm_1.1.8-2.dsc
 b33b5188ce4de30a1182877cbca45ecdd6803df7 103727 xdm_1.1.8-2.diff.gz
 eb5678bc7efe78694e83aa757bc6851d727bcddc 192292 xdm_1.1.8-2_i386.deb
Checksums-Sha256: 
 6e71c0d8b64fc8f1931f904cec0a0c834ddd59df347d2daae9c2ca53119a4a8c 1369 xdm_1.1.8-2.dsc
 95da77ad9bb75f17acca01379db046cca481329aa91a40a45b186e9cc9b672ec 103727 xdm_1.1.8-2.diff.gz
 f3cd5fde193a73999286ddeb5e0929d23938b2a51067ddbaccdc5d280167ac99 192292 xdm_1.1.8-2_i386.deb
Files: 
 dd2a4029a056d5e4bda6e51de32a9801 1369 x11 optional xdm_1.1.8-2.dsc
 24b983ab4566126ffa617cacb2ad30af 103727 x11 optional xdm_1.1.8-2.diff.gz
 4c8c222e4792250ed04ca40683450ae9 192292 x11 optional xdm_1.1.8-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkh/fywACgkQmEvTgKxfcAxTewCgna/dVYrcmmPeLr71MiFMmpxa
irAAn2V90ujlDxhlwkedLKqE975bzu6T
=JqG5
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Aug 2008 07:26:14 GMT) Full text and rfc822 format available.

Added indication that bug 486606 blocks 522876 Request was from "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com> to control@bugs.debian.org. (Mon, 11 Jun 2012 18:48:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 03:56:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.